/*
 * Copyright (C) 2015 Alibaba Group Holding Limited.
 * ALL RIGHTS RESERVED.
 */

package com.yunos.tv.karaoke.demo;

/**
 * Created by jiejing on 15/2/2.
 */

public class PlayerStates {
    /**
     * Playing state which can either be stopped, playing, or reading the header before playing
     */
    public static final int	READY_TO_PLAY = 2;
    public static final int PLAYING = 3;
    public static final int STOPPED = 4;
    public int playerState = STOPPED;

    public int get() {
        return playerState;
    }

    public void set(int state) {
        playerState = state;
    }


    /**
     * Checks whether the com.yunos.tv.karaoke.player is ready to play, this is the state used also for Pause (phase 2)
     *
     * @return <code>true</code> if ready, <code>false</code> otherwise
     */
    public synchronized boolean isReadyToPlay() {
        return playerState == PlayerStates.READY_TO_PLAY;
    }


    /**
     * Checks whether the com.yunos.tv.karaoke.player is currently playing (phase 3)
     *
     * @return <code>true</code> if playing, <code>false</code> otherwise
     */
    public synchronized boolean isPlaying() {
        return playerState == com.yunos.tv.karaoke.player.PlayerStates.PLAYING;
    }


    /**
     * Checks whether the com.yunos.tv.karaoke.player is currently stopped (not playing)
     *
     * @return <code>true</code> if playing, <code>false</code> otherwise
     */
    public synchronized boolean isStopped() {
        return playerState == com.yunos.tv.karaoke.player.PlayerStates.STOPPED;
    }

}
